<?php
include 'db_connection.php';

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["add_purchase"])) {
    $purchase_date = $_POST["purchase_date"] ?? '';
    $client = $_POST["client"] ?? '';
    $amount = $_POST["amount"] ?? '';
    $total_kilograms = $_POST["total_kilograms"] ?? '';
    $invoice_number = $_POST["invoice_number"] ?? '';

    $sql_insert_purchase = "INSERT INTO purchases (purchase_date, client, amount, total_kilograms, invoice_number)
                            VALUES ('$purchase_date', '$client', '$amount', '$total_kilograms', '$invoice_number')";

    if ($conn->query($sql_insert_purchase) === TRUE) {
        $conn->close();

        // Перенаправление на другую страницу после успешного добавления данных
        header("Location: display_data.php");
        exit();
    } else {
        // В случае ошибки также закрываем соединение и выводим сообщение
        $conn->close();
        echo "Ошибка: " . $sql_insert_purchase . "<br>" . $conn->error;
        exit();
    }
}
?>
